# ArrayIterator::asort

(PHP 5 >= 5.2.0, PHP 7)

ArrayIterator::asort — Sort array by values

### Description

public ArrayIterator::asort ( void ) : void

Sorts an array by values.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- ArrayIterator::ksort() - Sort array by keys
- ArrayIterator::natcasesort() - Sort an array naturally, case insensitive
- ArrayIterator::natsort() - Sort an array naturally